# Generated by Django 3.1.7 on 2021-10-11 15:05

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('main', '0005_auto_20210920_2215'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='despesa',
            name='categoria_despesa_id',
        ),
        migrations.RemoveField(
            model_name='despesa',
            name='safra_id',
        ),
        migrations.RemoveField(
            model_name='equipamento',
            name='safra_id',
        ),
        migrations.RemoveField(
            model_name='equipamento',
            name='tipo_equipamento_id',
        ),
        migrations.RemoveField(
            model_name='producao',
            name='safra_id',
        ),
        migrations.RemoveField(
            model_name='safra',
            name='upf_id',
        ),
        migrations.RemoveField(
            model_name='trabalhoupf',
            name='safra_id',
        ),
        migrations.RemoveField(
            model_name='trabalhoupfintegrante',
            name='trabalho_upf_id',
        ),
        migrations.RemoveField(
            model_name='trabalhoupfintegrante',
            name='upf_integrante_id',
        ),
        migrations.RemoveField(
            model_name='upfintegrante',
            name='safra_id',
        ),
        migrations.RemoveField(
            model_name='venda',
            name='safra_id',
        ),
        migrations.AddField(
            model_name='despesa',
            name='categoria_despesa',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='main.categoriadespesa'),
        ),
        migrations.AddField(
            model_name='despesa',
            name='safra',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='main.safra'),
        ),
        migrations.AddField(
            model_name='equipamento',
            name='safra',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='main.safra'),
        ),
        migrations.AddField(
            model_name='equipamento',
            name='tipo_equipamento',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='main.tipoequipamento'),
        ),
        migrations.AddField(
            model_name='producao',
            name='safra',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='main.safra'),
        ),
        migrations.AddField(
            model_name='safra',
            name='localizacao_lat',
            field=models.FloatField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='safra',
            name='localizacao_long',
            field=models.FloatField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='safra',
            name='simulacao',
            field=models.BooleanField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='safra',
            name='upf',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='main.upf'),
        ),
        migrations.AddField(
            model_name='trabalhoupf',
            name='safra',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='main.safra'),
        ),
        migrations.AddField(
            model_name='trabalhoupfintegrante',
            name='trabalho_upf',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='main.trabalhoupf'),
        ),
        migrations.AddField(
            model_name='trabalhoupfintegrante',
            name='upf_integrante',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='main.upfintegrante'),
        ),
        migrations.AddField(
            model_name='upfintegrante',
            name='safra',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='main.safra'),
        ),
        migrations.AddField(
            model_name='venda',
            name='safra',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='main.safra'),
        ),
    ]
